﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DataSource = GetData();
        }

        private DataTable GetData()
        {
            DataTable dt = new DataTable();

            // Columns
            dt.Columns.Add("ID", typeof(int));
            for(int i = 1; i < 8; i++)
            {
                dt.Columns.Add("Col" + i.ToString(), typeof(string));
            }

            // Rows
            for(int i = 0; i < 5; i++)
            {
                DataRow newRow = dt.NewRow();

                newRow["ID"] = i;
                for(int j = 1; j < newRow.ItemArray.Length; j++)
                {
                    newRow[j] = "aaa";
                }

                dt.Rows.Add(newRow);
            }

            return dt;
        }
    }
}
